## gitolite3 3.6.11

=== debian/changelog ===
gitolite3 (3.6.11-2) unstable; urgency=medium

  * Point Vcs-* to salsa

 -- David Bremner <bremner@debian.org>  Fri, 25 Jan 2019 08:32:05 -0400

gitolite3 (3.6.11-1) unstable; urgency=medium

  * Bug fix: "CVE-2018-20683: security issue in optional bundle helper
    ('rsync' command)", thanks to Salvatore Bonaccorso
    (Closes: #918849).
  * Convert to source format 3.0 (quilt).
  * Bump debhelper compat to 9

 -- David Bremner <bremner@debian.org>  Fri, 25 Jan 2019 08:15:17 -0400

gitolite3 (3.6.9-1) unstable; urgency=high

  * New upstream version
  * Bug fix: "CVE-2018-16976: prevent access to repos which are in the
    process of being migrated", thanks to Salvatore Bonaccorso (Closes:
    #908699).

 -- David Bremner <bremner@debian.org>  Sat, 15 Sep 2018 12:37:48 -0300

gitolite3 (3.6.7-2) unstable; urgency=medium

  * Bug fix: "[INTL:pt_BR] Brazilian Portuguese debconf templates
    translation", thanks to Adriano Rafael Gomes (Closes: #811528).

 -- David Bremner <bremner@debian.org>  Wed, 05 Jul 2017 22:12:35 -0300

gitolite3 (3.6.7-1) unstable; urgency=medium

  * New upstream release
  * update debian/README.Debian, drop bitrotted v2 upgrade
    instructions. Mention name of default user (gitolite3).
  * drop postint fix for pre 3.5.1 permissions

 -- David Bremner <bremner@debian.org>  Mon, 03 Jul 2017 21:09:50 -0300

gitolite3 (3.6.6-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "uninstallable without . in @INC", explicitely look for
    './foo'.  (Closes: #837036).

 -- David Bremner <bremner@debian.org>  Tue, 13 Sep 2016 20:31:39 -0300

gitolite3 (3.6.4-2) unstable; urgency=medium

  * depend on openssh-client (Closes: #834153).

 -- David Bremner <bremner@debian.org>  Sun, 14 Aug 2016 14:09:11 +0900

gitolite3 (3.6.4-1) unstable; urgency=medium

  * New upstream release
  * Fix bug in 3.6.3 that allows authorized users to create refs they
    should not be able to, in certain special configurations of wild
    repos. See commit be5c2f5752 for more info.

 -- David Bremner <bremner@debian.org>  Fri, 04 Dec 2015 21:12:01 -0400

gitolite3 (3.6.3-3) experimental; urgency=medium

  * Bug fix: "inconsistently set execute bits on the gitolite script
    files", thanks to Christoph Anton Mitterer (Closes: #779252).
  * Assert compliance with Debian policy 3.9.6 
  * Add dependence 'openssh-server |' so there's a real package
    instead of just a virtual one.

 -- David Bremner <bremner@debian.org>  Sun, 28 Jun 2015 10:57:55 +0200

gitolite3 (3.6.3-2) experimental; urgency=medium

  * Move main config file to /etc
  * Remove (broken) support for reconfiguration / multiple users.

 -- David Bremner <bremner@debian.org>  Sat, 27 Jun 2015 09:44:25 +0200

gitolite3 (3.6.3-1) unstable; urgency=medium

  * New upstream release (Closes: #773811).
  * Bug fix: "should Depends: libjson-perl", thanks to Heiko Noordhof
    (Closes: #780671).
  * Bug fix: "please add git-daemon-sysvinit as an alternative Suggests",
    thanks to Christoph Anton Mitterer (Closes: #779263).
  * Bug fix: "gitolite creates /var/lib/gitolite3/.ssh/authorized_keys
    with u+x mode", thanks to Christoph Anton Mitterer (Closes: #778725).

 -- David Bremner <bremner@debian.org>  Tue, 23 Jun 2015 20:24:57 +0200

gitolite3 (3.6.1-3) unstable; urgency=medium

  * Bug fix: "please make the build reproducible", thanks to Chris Lamb
    (Closes: #777060).

 -- David Bremner <bremner@debian.org>  Wed, 04 Feb 2015 18:26:53 +0100

gitolite3 (3.6.1-2) unstable; urgency=low

  [ Rhonda D'Vine ]
  * The "l10n R us" release:
    - Updated German translation by myself
    - Updated Japanese by victory (closes: #719509)
    - Updated French by Christian Perrier (closes: #719777)
    - Updated Russian by Yuri Kozlov (closes: #722125)
    - Updated Portuguese by Américo Monteiro (closes: #729824)
    - Updated Danish by Joe Hansen (closes: #739792)
    - New Turkish translation by Mert Dirik (closes: #759876)
    - Updated Dutch by Frans Spiesschaert (closes: #764599)
    - Updated Czech by Michal Simunek (closes: #768271)
    - Updated Swedish by Martin Bagge (closes: #768455)
    - Updated Italian by Beatrice Torracca (closes: #769447)

 -- David Bremner <bremner@debian.org>  Fri, 14 Nov 2014 21:04:22 +0100

gitolite3 (3.6.1-1) unstable; urgency=low

  * New upstream release (Closes: #755784)

 -- David Bremner <bremner@debian.org>  Mon, 06 Oct 2014 12:30:00 +0200

gitolite3 (3.6-1) unstable; urgency=low

  * New upstream release
  * Depend on ssh-server instead of openssh-server (Closes: #735176).

 -- David Bremner <bremner@debian.org>  Sun, 25 May 2014 20:09:36 -0300

gitolite3 (3.5.3.1-2) unstable; urgency=medium

  * Bug fix: "broken directory check", thanks to Daniel Baumann, 
    Martin Haaß  (Closes: #737823, #734979).

 -- David Bremner <bremner@debian.org>  Wed, 26 Mar 2014 11:18:42 -0300

gitolite3 (3.5.3.1-1) unstable; urgency=medium

  * New upstream release
  * This release removes world+group read permissions from
    ~gitolite3/repositories, and world+group read+execute permissions from
    ~gitolite3/repositories/{gitolite-admin,testing}. This corrects a
    local information leak present in (at least) version 3.5.2-1 (see
    CVE-2013-7203)

 -- David Bremner <bremner@debian.org>  Sat, 04 Jan 2014 07:30:51 -0400

gitolite3 (3.5.2-1) unstable; urgency=low

  * New upstream release

 -- David Bremner <bremner@debian.org>  Tue, 30 Jul 2013 22:47:45 -0300

gitolite3 (3.5.1+4-1) experimental; urgency=low

  * New upstream snapshot (commit: 2f48a3e0e169e) 
    (closes: #673867, #673850)
  * Ask for admin key with priority high (closes: #699490)

 -- David Bremner <bremner@debian.org>  Sat, 18 May 2013 17:59:21 -0300

gitolite (2.3-1) unstable; urgency=low

  * New upstream release (closes: #669633), containing fix for:
    - forgot authkeys can have blank lines also (closes: #653994)
    - nitpick on redirection sorting applied (closes: #654022)

