=== debian/watch ===
# debian/watch for gitolite
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gitolite-$1.tar.gz%" \
	https://github.com/sitaramc/gitolite/tags \
        (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
