## gitolite3 3.6.12

=== debian/changelog ===
gitolite3 (3.6.12-2) unstable; urgency=medium

  * Do not require root to build (Closes: #1089337)

 -- David Bremner <bremner@debian.org>  Sun, 29 Dec 2024 07:07:03 -0800

gitolite3 (3.6.12-1) unstable; urgency=medium

  * New upstream version.

 -- David Bremner <bremner@debian.org>  Fri, 25 Dec 2020 19:15:23 -0400
