=== debian/control ===
Source: gitolite3
Section: vcs
Priority: optional
Maintainer: David Bremner <bremner@debian.org>
Uploaders: Rhonda D'Vine <rhonda@debian.org>
Build-Depends: debhelper
Build-Depends-Indep: po-debconf
Rules-Requires-Root: no
Standards-Version: 3.9.6
Homepage: http://github.com/sitaramc/gitolite
Vcs-Browser: https://salsa.debian.org/gitolite-team/gitolite3
Vcs-Git: https://salsa.debian.org/gitolite-team/gitolite3.git

Package: gitolite3
Architecture: all
Depends: adduser,
         debconf (>= 0.5) | debconf-2.0,
         git (>= 1:1.7.0.4) | git-core (>= 1:1.6.2),
         libjson-perl,
         openssh-client,
         openssh-server | ssh-server,
         perl (>= 5.6.0-16),
         ${misc:Depends}
Suggests: git-daemon-sysvinit, gitweb
Description: SSH-based gatekeeper for git repositories (version 3)
 Gitolite is an SSH-based gatekeeper providing access control for a server that
 hosts many git repositories. Without gitolite,
 each developer needing to push to one of the repositories hosted would need a
 user account on that server; gitolite lets you do that just using
 SSH public keys tied to a single, common, user that hosts all the
 repositories.
 .
 Gitolite can restrict who can read (clone/fetch) from or write
 (push) to a repository, and who can push to what branch or tag - an
 important issue in corporate environments. Other features include:
   * access control by branch-name or by modified file/directory;
   * per-developer "personal namespace" prefixes;
   * simple but powerful configuration file syntax (with validation);
   * config files (and authority for maintaining them) can be split;
   * easy integration with gitweb;
   * comprehensive logging;
   * easy migration from gitosis.
